CW
POST/app-api/v1/batches/{id}/dpp/{dppId}/questions/{quesId}/submit

Submit answer for a DPP question

Parameters

NameInRequiredDescription
idpathYes
dppIdpathYes
quesIdpathYes
x-request-idheaderNoOptional correlation id. Generated when omitted.

Request Body

SubmitQuestionDtoobject
validOptstring

Selected option(s), comma-separated for MCQ

isMarkednumber

1 if marked for review

Related Schemas

SubmitQuestionDto
validOptstring

Selected option(s), comma-separated for MCQ

isMarkednumber

1 if marked for review

Code samples

Generated from the current environment and the request configured in the Try-it panel.

curl -X POST 'https://app-api.crwilladmin.com/app-api/v1/batches/{id}/dpp/{dppId}/questions/{quesId}/submit' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'apptype: android' \
  -H 'appver: 1.0.0' \
  -H 'webver: 1.0.0' \
  -H 'portalver: 1.0.0' \
  -H 'x-request-id: 00000000-0000-4000-8000-000000000000' \
  -d '{
  "validOpt": "",
  "isMarked": 0
}' \